#include "test/framework/catch.hpp"
#include <string.h>

#define SHELLMATTA_TRANSPORT
#define SHELLMATTA_YMODEM_CRC_NO_LOOKUP
#include "test_crc_data.h"
#include "src/shellmatta_crc.c"

TEST_CASE("shellmatta_crc crc16Slow" ) {

    uint32_t crc = crc16Slow((char*)"123456789", 9);

    REQUIRE(crc == 0x31C3u);
}

TEST_CASE("shellmatta_crc crc16Slow - more data") {

    uint32_t crc = crc16Slow((char*)data, sizeof(data));

    REQUIRE(crc == data_crc_16);
}
